6.0.0-git
2019-03-20

[#8560] Malformed "To" or "from" field prevents entire mailbox display
Summary Malformed "To" or "from" field prevents entire mailbox display
Queue DIMP
Queue Version 1.1.2
Type Bug
State Not A Bug
Priority 2. Medium
Owners
Requester shaun (at) blackfen (dot) bexley (dot) sch (dot) uk
Created 2009-09-08 (3480 days ago)
Due 09/11/2009 (3477 days ago)
Updated 2009-09-16 (3472 days ago)
Assigned 2009-09-08 (3480 days ago)
Resolved 2009-09-16 (3472 days ago)
Milestone
Patch No

History
2009-09-16 09:19:58 Jan Schneider Comment #12
State ⇒ Not A Bug
Reply to this comment
Not reproducable.
2009-09-08 15:30:17 shaun (at) blackfen (dot) bexley (dot) sch (dot) uk Comment #11 Reply to this comment
Have you been able to replicate the error?
Of course not, how should I? This is the most basic feature of the
webmail, it would be pretty bad if it was reproducable for anyone.
This is a local problem of your system.
It would be very bad if this was reproducable - which is why i logged 
the fault.



My webserver has been running Horde for more than 5 years without this 
problem ever cropping up.  We moved over to the new version a couple 
of months back, and this problem has appeared.



It's not a small bug - It cripples user mailboxes until an engineer 
can go through each of their emails to see which one(s) are breaking 
IMP/DIMP.  I'm doing everything at my end that you've requested, 
because this needs to be fixed.



If someone could send an email to themselves and @domain.com to see if 
this is a problem with horde, or just my system, it would be 
appreciated.



Thanks
2009-09-08 15:13:31 Jan Schneider Comment #10 Reply to this comment
Have you been able to replicate the error?
Of course not, how should I? This is the most basic feature of the 
webmail, it would be pretty bad if it was reproducable for anyone. 
This is a local problem of your system.
2009-09-08 15:05:24 shaun (at) blackfen (dot) bexley (dot) sch (dot) uk Comment #9 Reply to this comment
The Horde log is now running.  But no errors are being logged - Just 
login and logout information.



Have you been able to replicate the error?
2009-09-08 14:16:58 Jan Schneider Comment #8 Reply to this comment
We don't have a horde.log or a /tmp folder - I assume this is nix only?
No, you just have to make sure that your log location is correctly for 
your system. /tmp obviously is not, if you are using Windows.

[Show Quoted Text - 10 lines]
Not at all, but it sounds like this could be log entry matching the 
fault. Since this is Windows, I have no idea how further track this 
down, or at least get a useful error message.
2009-09-08 13:46:32 shaun (at) blackfen (dot) bexley (dot) sch (dot) uk Comment #7 Reply to this comment
We don't have a horde.log or a /tmp folder - I assume this is nix only?



We're not getting any PHP errors logged - The log file is working.



The only error I can find relating to this is in our webserver http error log;



"Tue, 08.09.2009 14:29:05 : Cgi-Program did not send 
header-termination (\n\n). Cgi-Program: 
w:\Jana2\html\horde2\dimp\imp.php

Tue, 08.09.2009 14:29:05 : Cgi-Program terminatet with error. 
ErrorCode: -1073741819"



Is that any use?
2009-09-08 13:19:14 shaun (at) blackfen (dot) bexley (dot) sch (dot) uk Comment #6
New Attachment: dimp.jpg Download
Reply to this comment
I'm attempting to find an error log - In the mean time attached is a 
screenshot of dimp attempting to display a folder which contains one 
email with a malformed to address.
2009-09-08 12:32:06 Jan Schneider Comment #5 Reply to this comment
Please follow the hints at 
http://wiki.horde.org/FAQ/Admin/Troubleshoot#wsod to generate and find 
a useful error message.
2009-09-08 11:54:05 shaun (at) blackfen (dot) bexley (dot) sch (dot) uk Comment #4 Reply to this comment
The "Loading" message appears, but no messages appear.
2009-09-08 11:38:42 Jan Schneider Comment #3
State ⇒ Feedback
Priority ⇒ 2. Medium
Reply to this comment
What *does* happen if you view such a mailbox?
2009-09-08 11:08:03 shaun (at) blackfen (dot) bexley (dot) sch (dot) uk Comment #2 Reply to this comment
It also seems to break IMP - So this is an even bigger problem.
2009-09-08 11:00:49 shaun (at) blackfen (dot) bexley (dot) sch (dot) uk Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ Malformed "To" or "from" field prevents entire mailbox display
Due ⇒ 2009-09-11
Queue ⇒ DIMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
We've received several spam messages and a few pebkac errors where the 
"to" or "from" field contains "@domain" (ie no "user@domain").  This 
prevents the entire mailbox from being displayed.



I'm happy for these messages to not be displayed, or even better 
automatically removed, but I think this needs to be fixed quite 
quickly, as it cripples the system.



Many Thanks



Shaun

Saved Queries